package com.gh.gamecenter.core.provider

import android.content.Context
import com.alibaba.android.arouter.facade.template.IProvider

interface IDirectProvider : IProvider {
    fun directToWebView(context: Context, url: String, entrance: String? = null)

    fun directToRegulationTestPage(context: Context)

    fun directToQqConversation(context: Context, qq: String)

    fun directToCommodityDetail(context: Context, commodityId: String)

    fun directToEnergyRecord(context: Context)

    fun directToEnergyRulePage(context: Context)

    fun directToInviteFriends(context: Context)

    fun directToExchangeRulePage(context: Context)

    fun directToExchangeCommodityPage(context: Context)

    fun directToLotteryParadisePage(context: Context)

    fun directDouyin(context: Context, userId: String)

    fun directToSuggestionFromDiagnosis(context: Context, diagnosis: String)
}